# Run as administrator to ensure the necessary permissions

# Install Python3-pip
Start-Process "powershell" -ArgumentList "choco install python3 -y" -Verb RunAs -Wait

# Install Python3.10-venv
Start-Process "powershell" -ArgumentList "choco install python3.10 -y" -Verb RunAs -Wait

# Install pkg-config and libssl-dev
Start-Process "powershell" -ArgumentList "choco install pkgconfiglite -y" -Verb RunAs -Wait
Start-Process "powershell" -ArgumentList "choco install openssl -y" -Verb RunAs -Wait
Start-Process "powershell" -ArgumentList "choco install openssl" -Verb RunAs -Wait




# Create a virtual environment
python -m venv .env

# Activate the virtual environment
& .\.env\Scripts\Activate.ps1

# Install the required Python packages
pip install -r requirements.txt

# Change to the rust_module directory, run maturin develop, and then return
Push-Location rust_module
maturin develop
Pop-Location

# Generate and run the main Python script
python main.py --generate
python main.py --run