from website import create_app
import argparse
import sys
from keys import generate_key

parser = argparse.ArgumentParser(description='Password manager.')

parser.add_argument('--run', action='store_true',
                    help="Choose if you already have a key placed in your directory.")

parser.add_argument('--generate', action='store_true',
                    help="Generates a new key.")

args = parser.parse_args()

# If no arguments were provided, print the help message and exit
if len(sys.argv) == 1:
    parser.print_help(sys.stderr)
    sys.exit(1)

if args.generate:
    generate_key()
    print("New key has been generated.")
    sys.exit(0)

if __name__ == '__main__':
    app = create_app()
    app.run(host='127.0.0.1', debug=True, ssl_context='adhoc')