from flask import Flask
from flask_sqlalchemy import SQLAlchemy
from os import path
import uuid


db = SQLAlchemy()
DB_NAME = "database.db"

def create_app():


    app = Flask(__name__)
    
    app.secret_key = uuid.uuid4().hex
    
    app.config['SQLALCHEMY_DATABASE_URI'] = f'sqlite:///{path.join(app.root_path,DB_NAME)}'

    db.init_app(app)
   
    from .auth import auth
    
    app.register_blueprint(auth, url_prefix='/')

    from .models import Account_record

    with app.app_context():
        print("Creating database")
        db.create_all()

    return app


